package com.kingdee.eas.custom.esign;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class FieldMappingEntryCollection extends AbstractObjectCollection 
{
    public FieldMappingEntryCollection()
    {
        super(FieldMappingEntryInfo.class);
    }
    public boolean add(FieldMappingEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(FieldMappingEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(FieldMappingEntryInfo item)
    {
        return removeObject(item);
    }
    public FieldMappingEntryInfo get(int index)
    {
        return(FieldMappingEntryInfo)getObject(index);
    }
    public FieldMappingEntryInfo get(Object key)
    {
        return(FieldMappingEntryInfo)getObject(key);
    }
    public void set(int index, FieldMappingEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(FieldMappingEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(FieldMappingEntryInfo item)
    {
        return super.indexOf(item);
    }
}